Description

Right now every item has a URI like 

https://openportal.isti.cnr.it/results?option=com_dnetindexclient&view=doc&id=people______::bdd138a872d87ed2a018062f4bf2b325

we should have something like 

https://openportal.isti.cnr.it/document/ID 

I am wondering this can be done by some sort of "redirection rule" 

History

#1 - Oct 17, 2018 10:03 AM - Anonymous

- Assignee changed from Michele Artini to _InfraScience Systems Engineer

I have already prepared an hidden menu item, as you can see here:

https://openportal.isti.cnr.it/doc?id=people______::bdd138a872d87ed2a018062f4bf2b325

The next step should be to implement a simple rule to redirect:

https://openportal.isti.cnr.it/doc/ID in https://openportal.isti.cnr.it/doc?id=ID

#2 - Oct 29, 2018 06:42 PM - Andrea Dell'Amico

- Status changed from New to In Progress

- % Done changed from 0 to 20

I'm ready to provision the nginx configuration, but I'll do it when @michele.artini@isti.cnr.it is present so that we can immediately check if it works and

nothing where broken.

#3 - Oct 30, 2018 12:17 PM - Andrea Dell'Amico

I tried different combinations of URL rewriting, but nothing works: the rule that removes the index.php? part of the URL always invalidates all the

previous rewritings.

#4 - Oct 31, 2018 03:05 PM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Michele Artini

I tried again all the possible combinations. The URL beautify functionality always breaks all the rewrite rules that I tried. The only way to obtain the

behaviour you wan is to modify the URL from inside Joomla.

#5 - May 10, 2019 10:49 AM - Michele Artini

- Status changed from In Progress to Closed

- % Done changed from 20 to 100

The links in result page have been updated to the short version: 

https://openportal.isti.cnr.it/doc?id=people______::bdd138a872d87ed2a018062f4bf2b325
